<?php if(!isset($entrada)):?>
<div class="form-group" id="inventario-inicial-producto-info">
	<div class="col-sm-2">
		<label>SKU</label>
		<div class="input-group">
			<input type="text"  id="inventario-inicial-producto-sku" class="form-control frame-control frame-producto-sku">
			<input type="hidden" id="inventario-inicial-producto-id" class="frame-control frame-producto-id">
			<input type="hidden" id="inventario-inicial-presentacion-id" class="frame-control frame-presentacion-id">
			<input type="hidden" id="inventario-inicial-unidades-representativas" class="frame-control frame-unidades-representativas">
			<span class="input-group-btn">
				<button type="button" id="inventario-inicial-buscar-producto-btn" class="btn btn-primary"><i class="fa fa-search"></i></button>
			</span>
		</div>
	</div>
	<div class="col-sm-4">
		<label>Descripci&oacute;n</label>
		<input type="text" class="form-control frame-control frame-producto-desc" readonly>
	</div>
	<div class="col-sm-2">
		<label>Cantidad</label>
		<input type="text" id="inventario-inicial-producto-cant" class="form-control frame-control frame-producto-cant">
		<!--
		<input type="hidden" id="inventario-inicial-producto-precios" class="form-control frame-control frame-producto-precios-venta">
		-->
	</div>
	<div class="col-sm-2">
		<label>Costo total</label>
		<input type="text" id="inventario-inicial-costo" class="form-control frame-control frame-producto-costo">
	</div>
	<div class="col-sm-2">
		<button type="button" id="inventario-inicial-producto-agregar" class="btn btn-info btn-md m-t-md frame-producto-add-btn">Agregar</button>
	</div>
</div>
<?php endif;?>
<!--table header-->
<div class="row">
	<table class="table table-hover" style="margin:0px;">
		<thead>
			<tr>
				<th style="width:15%">SKU</th>
				<th style="width:45%">Nombre</th>
				<th style="width:10%">Cant.</th>
				<th style="width:10%">Costo.</th>
				<th style="width:10%">Total.</th>
				<th style="width:10%">Quitar</th>
			</tr>
		</thead>
	</table>
</div>
<!--tabla body-->
<div class="row">
	<div id="nueva-entrada-invinicial-productos-wrapper" style="height:300px;overflow:hidden;">
		<table class="table table-hover" id="table-entradas-inventario-inicial">
			<tbody>
			<?php if(isset($entrada)):if(count($productos)>0):foreach($productos as $producto):?>
				<tr>
					<td class='table-sku' data-value='<?php echo $producto->sku;?>'><?php echo $producto->sku;?></td>
					<td class='table-desc' data-value='<?php echo $producto->desc;?>'><?php echo $producto->desc;?></td>
					<td class='table-cant' data-value='<?php echo $producto->cant;?>'><?php echo $producto->cant;?></td>
					<td class='table-costo' data-value='<?php echo $producto->costo;?>'><?php echo $producto->costo;?></td>
					<td class='table-total' data-value='<?php echo $producto->cant*$producto->costo;?>'><?php echo $producto->cant*$producto->costo;?></td>
					<td class='table-del'></td>
				</tr>
			<?php endforeach;endif;endif;?>
			</tbody>
		</table>
	</div>
</div>
<!--totales-->
<div class="row">
	<div class="col-sm-8">
		<h3 class="m-lg transacction-item-counter">Items en la entrada: <b>0</b></h3>
	</div>
	<div class="col-sm-4">
		<table class="table" id="nueva-entrada-invinicial-totales-wrapper">
			<tbody>
			</tbody>
		</table>
	</div>
</div>
<!--totales-->
<?php if(!isset($entrada)):?>
<div class="form-group" style="margin:0; text-align:center;">
	<button type="button" class="btn btn-danger btn-rounded" onclick="Custombox.close();">Cancelar</button>
	<button type="submit" class="btn btn-primary btn-rounded" onclick="entradas.guardarEntradasInventarioInicial(event);" id="guardar-entradas-inventario-inicial">Guardar entrada [F10]</button>
</div>
<?php endif;?>
<script>
	var toolsInvInicial = new Transaccionestools('<?php echo base_url();?>');
	 toolsInvInicial.setProductFrame($("#inventario-inicial-producto-info"));
	toolsInvInicial.setProductTable($("#nueva-entrada-invinicial-productos-wrapper > table"));
	toolsInvInicial.setTotalTable($("#nueva-entrada-invinicial-totales-wrapper"));
	toolsInvInicial.SetTotalsProfile('sumas,total','sumas',true);
	$('#nueva-entrada-invinicial-productos-wrapper').slimScroll({
		height: '300px'
	}); 
	setTimeout(function(){$("#inventario-inicial-producto-sku").focus();}, 100);
	$("#inventario-inicial-buscar-producto-btn").click(function(e){
		e.preventDefault();
		Custombox.open({
			target:'<?php echo base_url("productos/buscarproductos");?>?field=inventario-inicial-producto-sku&enter=true', 
			effect: 'fadein',
			complete:function(){
				$(".modal-body input:text").first().focus();
			}
		});
	});
	$("#inventario-inicial-producto-sku").keypress(function(e) {
		if(e.which == 13) {
			e.preventDefault();
			toolsInvInicial.getProductInfoBySKU('descripcion',$(this).val(),$("#inventario-inicial-producto-cant"));
		}
	});
	$("#inventario-inicial-producto-agregar").click(function(e){
		if($.trim($("#inventario-inicial-producto-sku").val())!='' && $.trim($("#inventario-inicial-producto-cant").val())!='' && $.trim($("#inventario-inicial-costo").val())!=''){
		
			toolsInvInicial.addProductToTable('data:.frame-producto-id@data-id,data:.frame-presentacion-id@data-pre,data:.frame-unidades-representativas@data-uequiv,field:.frame-producto-sku@table-sku,field:.frame-producto-desc@table-desc,field:.frame-producto-cant@table-cant,field:.frame-producto-costo@table-costo,operation:.frame-producto-cant|*|.frame-producto-costo@table-total,command:remove@table-del');
				
				
			/* var producto=$("#inventario-inicial-producto-id").val();
			var presentacion=$("#inventario-inicial-presentacion-id").val();
			var costo=$("#inventario-inicial-costo").val();
			Custombox.open({
				target:'<?php echo base_url("productos/setprecios");?>?producto='+producto+'&presentacion='+presentacion+'&costo='+costo+'&field=inventario-inicial-producto-precios&sender=inventarioInicial&precios=none', 
				effect: 'fadein',
				close:function(){
					toolsInvInicial.addProductToTable('data:.frame-producto-id@data-id,data:.frame-presentacion-id@data-pre,data:.frame-unidades-representativas@data-uequiv,data:.frame-producto-precios-venta@data-precios,field:.frame-producto-sku@table-sku,field:.frame-producto-desc@table-desc,field:.frame-producto-cant@table-cant,field:.frame-producto-costo@table-costo,operation:.frame-producto-cant|*|.frame-producto-costo@table-total,command:remove@table-del');
				}
			}); */
		}
	});
	$("#nueva-entrada-invinicial-productos-wrapper").on('click','table tr td.table-del',function(){
		var tr = $(this).closest('tr');
		toolsInvInicial.removeProductToTable($(tr));
	});
	/*hotkeys*/
	$('#inventario-inicial-producto-cant').bind('keydown', 'return', function(e){
		e.preventDefault();
		$("#inventario-inicial-costo").focus();
	});
	$('#inventario-inicial-costo').bind('keydown', 'return', function(e){
		e.preventDefault();
		$("#inventario-inicial-producto-agregar").trigger('click');
	});
	$(document).bind('keydown', 'f10', function(e){
		e.preventDefault();
		$("#guardar-entradas-inventario-inicial").trigger('click');
	});
	$('.frame-control').bind('keydown', 'f10', function(e){
		e.preventDefault();
		$("#guardar-entradas-inventario-inicial").trigger('click');
	});
</script>